%define upstream_name zope.deprecation

Name:           python-%{upstream_name}
Version:        4.4.0
Release:        %mkrel 4
Summary:        Zope Deprecation Infrastructure
Group:          Development/Python
License:        ZPL
URL:            https://pypi.org/project/zope.deprecation/
Source0:        https://files.pythonhosted.org/packages/34/da/46e92d32d545dd067b9436279d84c339e8b16de2ca393d7b892bc1e1e9fd/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%package -n     python3-%{upstream_name}
Summary:        Zope Deprecation Infrastructure
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{upstream_name}
This package provides a simple function called deprecated(names, reason) to
mark deprecated modules, classes, functions, methods and properties.

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/zope
%{python3_sitelib}/zope.deprecation-%{version}-*.egg-info
%{python3_sitelib}/zope.deprecation-%{version}-*-nspkg.pth


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 4.4.0-4.mga8
+ Revision: 1608363
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 4.4.0-3.mga8
+ Revision: 1533402
- Mageia 8 Mass Rebuild

* Sat Sep 21 2019 tv <tv> 4.4.0-2.mga8
+ Revision: 1444195
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 4.4.0-1.mga8
+ Revision: 1417065
- imported package python-zope.deprecation

